|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||
java.lang.Objectjava.util.AbstractMap
java.util.HashMap
org.apache.commons.chain.impl.ContextBase
org.apache.commons.chain.web.WebContext
org.apache.commons.chain.web.portlet.PortletWebContext
Concrete implementation of WebContext suitable for use in
portlets. The abstract methods are mapped to the appropriate
collections of the underlying portlet context, request, and response
instances that are passed to the constructor (or the initialize method).
| Nested Class Summary |
| Nested classes inherited from class java.util.Map |
Map.Entry |
| Field Summary | |
protected javax.portlet.PortletContext |
context
The PortletContext for this web application. |
protected javax.portlet.PortletRequest |
request
The PortletRequest for this request. |
protected javax.portlet.PortletResponse |
response
The PortletResponse for this request. |
| Constructor Summary | |
PortletWebContext()
Construct an uninitialized PortletWebContext instance. |
|
PortletWebContext(javax.portlet.PortletContext context,
javax.portlet.PortletRequest request,
javax.portlet.PortletResponse response)
Construct a PortletWebContext instance that is initialized
with the specified Portlet API objects. |
|
| Method Summary | |
Map |
getApplicationScope()
Return a mutable Map that maps application scope
attribute names to their values. |
javax.portlet.PortletContext |
getContext()
Return the PortletContext for this context. |
Map |
getHeader()
Return an immutable Map that maps header names to
the first (or only) header value (as a String). |
Map |
getHeaderValues()
Return an immutable Map that maps header names to
the set of all values specified in the request (as a String array). |
Map |
getInitParam()
Return an immutable Map that maps context application
initialization parameters to their values. |
Map |
getParam()
Return an immutable Map that maps request parameter
names to the first (or only) value (as a String). |
Map |
getParamValues()
Return an immutable Map that maps request parameter
names to the set of all values (as a String array). |
javax.portlet.PortletRequest |
getRequest()
Return the PortletRequest for this context. |
Map |
getRequestScope()
Return a mutable Map that maps request scope
attribute names to their values. |
javax.portlet.PortletResponse |
getResponse()
Return the PortletResponse for this context. |
Map |
getSessionScope()
Return a mutable Map that maps session scope
attribute names to their values. |
void |
initialize(javax.portlet.PortletContext context,
javax.portlet.PortletRequest request,
javax.portlet.PortletResponse response)
Initialize (or reinitialize) this PortletWebContext instance
for the specified Portlet API objects. |
void |
release()
Release references to allocated resources acquired in initialize() of via subsequent processing. |
| Methods inherited from class org.apache.commons.chain.impl.ContextBase |
clear, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, values |
| Methods inherited from class java.util.HashMap |
clone, containsKey, size |
| Methods inherited from class java.util.AbstractMap |
equals, hashCode, toString |
| Methods inherited from class java.lang.Object |
finalize, getClass, notify, notifyAll, wait, wait, wait |
| Methods inherited from interface java.util.Map |
containsKey, equals, hashCode, size |
| Field Detail |
protected javax.portlet.PortletContext context
The PortletContext for this web application.
protected javax.portlet.PortletRequest request
The PortletRequest for this request.
protected javax.portlet.PortletResponse response
The PortletResponse for this request.
| Constructor Detail |
public PortletWebContext()
Construct an uninitialized PortletWebContext instance.
public PortletWebContext(javax.portlet.PortletContext context,
javax.portlet.PortletRequest request,
javax.portlet.PortletResponse response)
Construct a PortletWebContext instance that is initialized
with the specified Portlet API objects.
context - The PortletContext for this web applicationrequest - The PortletRequest for this requestresponse - The PortletResponse for this request| Method Detail |
public javax.portlet.PortletContext getContext()
Return the PortletContext for this context.
public javax.portlet.PortletRequest getRequest()
Return the PortletRequest for this context.
public javax.portlet.PortletResponse getResponse()
Return the PortletResponse for this context.
public void initialize(javax.portlet.PortletContext context,
javax.portlet.PortletRequest request,
javax.portlet.PortletResponse response)
Initialize (or reinitialize) this PortletWebContext instance
for the specified Portlet API objects.
context - The PortletContext for this web applicationrequest - The PortletRequest for this requestresponse - The PortletResponse for this requestpublic void release()
Release references to allocated resources acquired in
initialize() of via subsequent processing. After this
method is called, subsequent calls to any other method than
initialize() will return undefined results.
public Map getApplicationScope()
WebContextReturn a mutable Map that maps application scope
attribute names to their values.
getApplicationScope in class WebContextpublic Map getHeader()
WebContextReturn an immutable Map that maps header names to
the first (or only) header value (as a String). Header names must
be matched in a case-insensitive manner.
getHeader in class WebContextpublic Map getHeaderValues()
WebContextReturn an immutable Map that maps header names to
the set of all values specified in the request (as a String array).
Header names must be matched in a case-insensitive manner.
getHeaderValues in class WebContextpublic Map getInitParam()
WebContextReturn an immutable Map that maps context application
initialization parameters to their values.
getInitParam in class WebContextpublic Map getParam()
WebContextReturn an immutable Map that maps request parameter
names to the first (or only) value (as a String).
getParam in class WebContextpublic Map getParamValues()
WebContextReturn an immutable Map that maps request parameter
names to the set of all values (as a String array).
getParamValues in class WebContextpublic Map getRequestScope()
WebContextReturn a mutable Map that maps request scope
attribute names to their values.
getRequestScope in class WebContextpublic Map getSessionScope()
WebContextReturn a mutable Map that maps session scope
attribute names to their values.
getSessionScope in class WebContext
|
|||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | ||||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | ||||||||||